"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateCustomResourceHandler = void 0;
const verifier_1 = require("../verifier");
const base_1 = require("./base");
class CreateCustomResourceHandler extends base_1.CustomResourceHandler {
    async consumeEvent() {
        const verifier = verifier_1.Verifier.from(this.event.ResourceProperties);
        await verifier.verifyIdentity();
        if (this.event.ResourceProperties.DKIM) {
            await verifier.enableDKIM();
        }
        return {
            physicalResourceId: verifier.domainName,
            data: {},
        };
    }
}
exports.CreateCustomResourceHandler = CreateCustomResourceHandler;
//# sourceMappingURL=create.js.map